GCLOUD_COMPUTE_DISKS_DELETE(1)

NAME

gcloud compute disks delete - delete Google Compute Engine persistent disks

SYNOPSIS

gcloud compute disks delete DISK_NAME [DISK_NAME ...] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute disks delete deletes one or more Google Compute Engine persistent disks. Disks can be deleted only if they are not being used by any virtual machine instances.

POSITIONAL ARGUMENTS

    DISK_NAME [DISK_NAME ...]
        The names of the disks to delete.

FLAGS

    --zone=ZONE
        The zone of the disks to delete. If not specified, you may be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.